> ## Documentation Index
> Fetch the complete documentation index at: https://guide.gpt-trainer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent

> Update agent meta based on agent uuid

### Path

**uuid** `string` *required*

Agent uuid

### Body

**name** `string`

**prompt** `string`

**description** `string`

**model** `string`

**enabled** `boolean`

**data\_source\_uuids** `List[string]`

**human\_escalation\_settings** `HumanEscalationSettings Object`

**human\_requested\_message** `string`

**live\_chat\_end\_announcement** `string`

**live\_chat\_start\_announcement** `string`

**monitored\_messages** `List[string]`

**notifications\_enabled** `boolean`

**sound\_enabled** `boolean`

**variables** `List[AgentVariable]`

**name** `string`

**description** `string`

**type** `select`

"string", "number", "boolean"

**example** `string`

Only for `user-facing` agents.

**tags** `tags Object`

**name** `string`

**criteria** `string`

**color** `string`

Only for `background` agents.

**temperature** `float`

**use\_all\_sources** `boolean`

### Response

**uuid** `string`

**name** `string`

**prompt** `string`

**description** `string`

**type** `string`

**created\_at** `string`

**modified\_at** `string`

**enabled** `boolean`

**meta** `meta Object`

**data\_source\_uuids** `List[string]`

**human\_escalation\_settings** `HumanEscalationSettings Object`

**tool\_functions** `List[ToolFunction]`

**variables** `List[AgentVariable]`

```bash Curl theme={null}
curl --location --request POST 'https://app.gpt-trainer.com/api/v1/agent/{uuid}/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
    "name": "Test update agent name",
    "description": "Test update agent description",
    "prompt": "Test update agent prompt",
    "model": "gpt-4o-mini-16k",
    "enabled": true,
    "variables": [{"description":"Email of the user.","example":"alice@company.com, ben@school.edu, carl@city.org","type":"string","default_value":{"content":"","static":0},"name":"user_email"},{"description":"Full name of the user, in the format of [First name] [Last name]","example":"","type":"string","default_value":{"content":"","static":0},"name":"user_name"}]

}'
```

```py Python theme={null}
import requests

uuid = '<agent-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/agent/{uuid}/update'
headers = {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer <token>'
}

data = {
    "name": "Test update agent name",
    "description": "Test update agent description",
    "prompt": "Test update agent prompt",
    "model": "gpt-4o-mini-16k",
    "enabled": true,
    "variables": [{"description":"Email of the user.","example":"alice@company.com, ben@school.edu, carl@city.org","type":"string","default_value":{"content":"","static":0},"name":"user_email"},{"description":"Full name of the user, in the format of [First name] [Last name]","example":"","type":"string","default_value":{"content":"","static":0},"name":"user_name"}]

}

response = requests.post(url, headers=headers, json=data)

if response.status_code == 200:
    print("Request successful!")
    print(response.json())
else:
    print("Request failed with status code:", response.status_code)
    print(response.text)
```

```ts JavaScript theme={null}
const axios = require("axios");

const uuid = "<agent-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/agent/${uuid}/update`;
const headers = {
  "Content-Type": "application/json",
  Authorization: "Bearer <token>",
};

data = {
  name: "Test update agent name",
  description: "Test update agent description",
  prompt: "Test update agent prompt",
  model: "gpt-4o-mini-16k",
  enabled: true,
  variables: [
    {
      description: "Email of the user.",
      example: "alice@company.com, ben@school.edu, carl@city.org",
      type: "string",
      default_value: { content: "", static: 0 },
      name: "user_email",
    },
    {
      description:
        "Full name of the user, in the format of [First name] [Last name]",
      example: "",
      type: "string",
      default_value: { content: "", static: 0 },
      name: "user_name",
    },
  ],
};

axios
  .post(url, data, { headers })
  .then((response) => {
    console.log("Request successful!");
    console.log(response.data);
  })
  .catch((error) => {
    console.error("Request failed:", error);
  });
```

```json Response theme={null}
{
  "created_at": "2024-07-25T21:19:01Z",
  "data_source_uuids": [],
  "description": "Test update agent description",
  "enabled": true,
  "meta": {
    "model": "gpt-4o-mini-16k",
    "tags": [],
    "temperature": 0.0
  },
  "modified_at": "2024-07-25T21:19:01Z",
  "name": "Test update agent name",
  "prompt": "Test update agent prompt",
  "tool_functions": [],
  "type": "user-facing",
  "uuid": "43474da7ae3b4b7191ee29c2de798257",
  "variables": [
    {
      "default_value": {
        "content": "",
        "static": 0
      },
      "description": "Email of the user.",
      "example": "alice@company.com, ben@school.edu, carl@city.org",
      "name": "user_email",
      "type": "string"
    },
    {
      "default_value": {
        "content": "",
        "static": 0
      },
      "description": "Full name of the user, in the format of [First name] [Last name]",
      "example": "",
      "name": "user_name",
      "type": "string"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.